package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.VariableUnits;
import com.oguerreiro.resilient.repository.VariableUnitsRepository;
import com.oguerreiro.resilient.service.dto.VariableUnitsDTO;
import com.oguerreiro.resilient.service.mapper.VariableUnitsMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.VariableUnits}.
 */
@Service
@Transactional
public class VariableUnitsService extends AbstractResilientService<VariableUnitsDTO, VariableUnits, Long> {

  public VariableUnitsService(VariableUnitsRepository variableUnitsRepository,
      VariableUnitsMapper variableUnitsMapper) {
    super(VariableUnits.class, variableUnitsRepository, variableUnitsMapper);
  }
}
