import NavbarItem from 'app/layouts/navbar/navbar-item.model';

export const EntityNavbarItems: NavbarItem[] = [
  {
    name: 'OrganizationType',
    route: '/organization-type',
    translationKey: 'global.menu.entities.organizationType',
  },
  {
    name: 'Organization',
    route: '/organization',
    translationKey: 'global.menu.entities.organization',
  },
  {
    name: 'MetadataProperty',
    route: '/metadata-property',
    translationKey: 'global.menu.entities.metadataProperty',
  },
  {
    name: 'MetadataValue',
    route: '/metadata-value',
    translationKey: 'global.menu.entities.metadataValue',
  },
  {
    name: 'UnitType',
    route: '/unit-type',
    translationKey: 'global.menu.entities.unitType',
  },
  {
    name: 'Unit',
    route: '/unit',
    translationKey: 'global.menu.entities.unit',
  },
  {
    name: 'UnitConverter',
    route: '/unit-converter',
    translationKey: 'global.menu.entities.unitConverter',
  },
  {
    name: 'VariableScope',
    route: '/variable-scope',
    translationKey: 'global.menu.entities.variableScope',
  },
  {
    name: 'VariableCategory',
    route: '/variable-category',
    translationKey: 'global.menu.entities.variableCategory',
  },
  {
    name: 'Variable',
    route: '/variable',
    translationKey: 'global.menu.entities.variable',
  },
  {
    name: 'VariableUnits',
    route: '/variable-units',
    translationKey: 'global.menu.entities.variableUnits',
  },
  {
    name: 'VariableClass',
    route: '/variable-class',
    translationKey: 'global.menu.entities.variableClass',
  },
  {
    name: 'VariableClassType',
    route: '/variable-class-type',
    translationKey: 'global.menu.entities.variableClassType',
  },
  {
    name: 'Period',
    route: '/period',
    translationKey: 'global.menu.entities.period',
  },
  {
    name: 'PeriodVersion',
    route: '/period-version',
    translationKey: 'global.menu.entities.periodVersion',
  },
  {
    name: 'InputData',
    route: '/input-data',
    translationKey: 'global.menu.entities.inputData',
  },
  {
    name: 'InputDataUpload',
    route: '/input-data-upload',
    translationKey: 'global.menu.entities.inputDataUpload',
  },
  {
    name: 'InputDataUploadLog',
    route: '/input-data-upload-log',
    translationKey: 'global.menu.entities.inputDataUploadLog',
  },
  {
    name: 'OutputData',
    route: '/output-data',
    translationKey: 'global.menu.entities.outputData',
  },
];
