import { IOrganization, NewOrganization } from './organization.model';

export const sampleWithRequiredData: IOrganization = {
  id: 19700,
  code: 'that beyond appal',
  name: 'lure amazing painfully',
};

export const sampleWithPartialData: IOrganization = {
  id: 14936,
  code: 'studious',
  name: 'cuss bah fossick',
  image: '../fake-data/blob/hipster.png',
  imageContentType: 'unknown',
  inputInventory: false,
};

export const sampleWithFullData: IOrganization = {
  id: 14523,
  code: 'but eventually',
  name: 'straighten spotless and',
  image: '../fake-data/blob/hipster.png',
  imageContentType: 'unknown',
  inputInventory: false,
  outputInventory: true,
  version: 25234,
};

export const sampleWithNewData: NewOrganization = {
  code: 'since jumbo',
  name: 'across woot',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
