import { IVariable, NewVariable } from './variable.model';

export const sampleWithRequiredData: IVariable = {
  id: 15762,
  code: undefined,
  variableIndex: 1848,
  name: 'bet huzzah where',
  description: 'violently',
  input: false,
  inputMode: 'DATAFILE',
  output: true,
};

export const sampleWithPartialData: IVariable = {
  id: 12212,
  code: '4890',
  variableIndex: 19981,
  name: 'pastel',
  description: 'lie tackle',
  input: true,
  inputMode: 'INTEGRATION',
  output: true,
  outputFormula: 'or standardization',
  version: 30421,
};

export const sampleWithFullData: IVariable = {
  id: 24329,
  code: '180',
  variableIndex: 7006,
  name: 'in versus',
  description: 'duh',
  input: true,
  inputMode: 'INTEGRATION',
  output: false,
  outputFormula: 'meld during oh',
  version: 5802,
};

export const sampleWithNewData: NewVariable = {
  code: undefined,
  variableIndex: 25922,
  name: 'yet mmm procreate',
  description: 'round dislocate uncomfortable',
  input: true,
  inputMode: 'DATAFILE',
  output: true,
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
